Bug 404295 - "show only application on current screen" shows no applications
Summary: "show only application on current screen" shows no applications
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.17.2
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-13 16:12 UTC by Germano Massullo
Modified: 2020-07-12 03:14 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Germano Massullo 2019-02-13 16:12:39 UTC
SUMMARY
This probably should be a Multi-screen support component ticket, but I have opened against Panel since it is a Panel problem.

screen 1: default panel, various application opened
screen 2: no panel, various application opened

STEPS TO REPRODUCE
1. on screen 1, right click on "configure task manager"
2. select "show only application on current screen"
3. on panel-task manager instead of seeing applications from the current screen, you will not see any application.

OBSERVED RESULT
on panel-task manager instead of seeing applications from the current screen, you will not see any application.

EXPECTED RESULT
be able to see currenct screen applications on panel-task manager

SOFTWARE/OS VERSIONS
Fedora 29
KDE Plasma Version: plasma-desktop-5.14.4
KDE Frameworks Version: 5.54
Qt Version: 5.11.3
Comment 1 Germano Massullo 2019-02-15 13:40:44 UTC
The bug is not happening on 5.15 Wayland.
I will test a Xorg session as soon as possible
Comment 2 Germano Massullo 2019-02-18 13:35:20 UTC
The bug still happens on 5.15 and Xorg session
Comment 3 Tristan Miller 2019-05-03 11:44:35 UTC
I'm experiencing the same (or a very similar) problem.  I have a multi-monitor setup (a laptop with an external monitor) with panels on both screens.  Each panel has a Task Manager configured with the "Show only tasks from the current screen" filter.  The Task Manager on the external monitor works correctly, showing only those tasks on the external monitor, but the Task Manager on my laptop's built-in screen is always empty.

IIRC both Task Managers were working correctly back when I first connected the external monitor.  However, some time later (probably after disconnecting and reconnecting the external monitor) the Task Manager on the built-in screen stopped working properly.  I never had this problem on my desktop machine, which also had two monitors (that were always plugged in). So I suspect the problem might be that the Task Manager loses the ability to reliably distinguish between screens when a monitor is disconnected and then reconnected.

System information:
OS: openSUSE Leap 15.0 (64-bit)
KDE Plasma: 5.12.8
KDE Frameworks: 5.45.0
Qt: 5.9.4
Comment 4 Tristan Miller 2019-05-03 12:04:20 UTC
Come to think of it, maybe what I am experiencing is actually Bug 373075.  (And maybe Germano is experiencing it too -- Germano, can you confirm whether your problem happens only after disconnecting a monitor and/or changing the screen resolution?)
Comment 5 Germano Massullo 2019-05-29 10:23:54 UTC
I can no longer experience the bug on
KDE Frameworks 5.58.0
Plasma-desktop-5.15.4
Qt 5.12.1
Comment 6 Germano Massullo 2019-06-20 15:51:57 UTC
(In reply to Tristan Miller from comment #4)
> Come to think of it, maybe what I am experiencing is actually Bug 373075. 
> (And maybe Germano is experiencing it too -- Germano, can you confirm
> whether your problem happens only after disconnecting a monitor and/or
> changing the screen resolution?)

It happens regardless changing resolution. I have never changed resolution.
Confirming on 
plasma-desktop-5.16.1-1.fc30.x86_64
KDE Frameworks 5.59.0
Qt 5.12.1 (compilato con 5.12.1)
Il sistema di finestre xcb
Comment 7 Germano Massullo 2019-09-16 12:16:14 UTC
The bug still happens on 5.16.5 and Xorg session
Today I unplugged / plugged a monitor and I had to rotate it vertically. This triggered the bug, not immediately, but after a lock-unlock screen action
Comment 8 Tristan Miller 2019-09-17 06:17:19 UTC
(In reply to Germano Massullo from comment #7)
> The bug still happens on 5.16.5 and Xorg session

Please don't bump the Version field; this is used to help find the earliest version in which the bug occurs.
Comment 9 Christoph Feck 2019-09-17 10:39:54 UTC
Hm, no. The version field should reflect the version where the bug was last confirmed to be still visible. The initially reported version can be seen in the description, and/or in the bug history.
Comment 10 Tristan Miller 2019-09-17 10:53:22 UTC
My bad, then.  I know that the LibreOffice folks are very picky about the Version field being used for the earliest version in which the bug is reproducible, as this makes it easy to track down when the bug was first introduced in the code.  I think Mozilla has the same rule.  I thought KDE had the same rule but could be I'm misremembering.
Comment 11 Germano Massullo 2019-09-27 13:12:13 UTC
By the way in Plasma 5.16.9 I am experiencing this only on the panel of primary screen, instead the panel on secondary screen is working fine


$ qdbus org.kde.KWin /KWin supportInformation
Version
=======
KWin version: 5.16.90
Qt Version: 5.12.4
Qt compile version: 5.12.4
XCB compile version: 1.13.1

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_DRM: yes
HAVE_GBM: yes
HAVE_EGL_STREAMS: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: Fedora Project
Vendor Release: 12005000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 3
gridUnit: 10
font: Noto Sans,10,-1,0,50,0,0,0,0,0,Regular
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: KWin::X11StandalonePlatform

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 28
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 28
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 28
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
xrenderSmoothScale: false
maxFpsInterval: 16666666
refreshRate: 0
vBlankTime: 6000000
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: false
glPreferBufferSwap: 101
glPlatformInterface: 1
windowsBlockCompositing: true

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 2

Screen 0:
---------
Name: DP-2
Geometry: 1200,240,2560x1440
Scale: 1
Refresh Rate: 59.95

Screen 1:
---------
Name: DP-1
Geometry: 0,0,1200x1920
Scale: 1
Refresh Rate: 59.95


Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
OpenGL version string: 3.0 Mesa 19.1.7
OpenGL platform interface: GLX
OpenGL shading language version string: 1.30
Driver: Intel
GPU class: Unknown
OpenGL version: 3.0
GLSL version: 1.30
Mesa version: 19.1.7
Linux kernel version: 5.2.17
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used
Painting blocks for vertical retrace:  no

Loaded Effects:
---------------
kwin4_effect_login
kwin4_effect_logout
screenshot
colorpicker
kwin4_effect_fadingpopups
kwin4_effect_dialogparent
highlightwindow
startupfeedback
kscreen

Currently Active Effects:
-------------------------

Effect Settings:
----------------
kwin4_effect_login:
isActiveFullScreenEffect: false

kwin4_effect_logout:
isActiveFullScreenEffect: false

screenshot:

colorpicker:

kwin4_effect_fadingpopups:
isActiveFullScreenEffect: false

kwin4_effect_dialogparent:
isActiveFullScreenEffect: false

highlightwindow:

startupfeedback:
type: 1

kscreen:
Comment 12 Germano Massullo 2019-09-30 11:05:32 UTC
You may want to read also bottom part of comment
https://bugs.kde.org/show_bug.cgi?id=412368#c2
Comment 13 Germano Massullo 2019-09-30 12:35:49 UTC
(In reply to Germano Massullo from comment #12)
> You may want to read also bottom part of comment
> https://bugs.kde.org/show_bug.cgi?id=412368#c2

Concerning previous bugreport URL, I have noticed also that when the screens are overlapping, the primary screen (acer) panel is showing applications, the secondary (Samsung) not.
When fixing the position of screens, the situation becomes the viceversa
Comment 14 Germano Massullo 2019-10-31 15:51:52 UTC
On 5.17.2 I am:
- experiencing the problem on task manager icon only version;
- not experiencing the problem on "regular" task manager.
Comment 15 Germano Massullo 2019-11-20 11:44:32 UTC
(In reply to Germano Massullo from comment #14)
> On 5.17.2 I am:
> - experiencing the problem on task manager icon only version;
> - not experiencing the problem on "regular" task manager.

Forget about previous comment, I am still experiencing the problem